Page MenuHomePhabricator

Make User:FuzzyBot content available in all languages via system message
Closed, ResolvedPublic

Description

TWN has dozens of translations for the bot's user page, but the other wikis don't, and it doesn't make sense to retranslate everything on each wiki.
This is what I'm using currently: https://meta.wikimedia.org/w/index.php?title=User:FuzzyBot&oldid=4598430
Other wikis have even less (or no user page at all).

I think the message on TWN is ok, so that page and its translations could just be moved to a system message in Translate and the extension instructed to add {{int:<messagename>}} to the user page of the username defined in the config for FuzzyBot.


URL: https://translatewiki.net/wiki/User:FuzzyBot

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:46 AM
bzimport set Reference to bz42261.
bzimport added a subscriber: Unknown Object (MLST).
Nikerabbit updated the task description. (Show Details)Apr 20 2016, 10:26 AM
Nikerabbit removed a subscriber: wikibugs-l-list.
Nikerabbit added a subscriber: Nikerabbit.

I am okay if someone submits a system message for Translate with suitable description.

Nice! Now that there is approval, this is a trivial task.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 20 2016, 1:06 PM
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptFeb 5 2018, 10:45 PM

Change 408453 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Translate@master] Make User:FuzzyBot content available in all languages via system message

https://gerrit.wikimedia.org/r/408453

I'd rather change the message to something more simpler without the need for $$s. Something like "This is a system account used by the [https://www.mediawiki.org/wiki/Extension:Translate translate extension]. It is used to update and delete translations." or similar. @Nikerabbit @Nemo_bis ?

update and delete -> maintain? (actually, to perform automated maintenance jobs, but maybe can keep it simple).

maintain looks good to me - I'm more concerned about 'translation administrators'; while the group exists on WMF wikis, other wikis using that extension may not know what are we talking about. Omit that part?

"translate-fuzzybot-desc": "This is a special system account used by the MediaWiki [https://www.mediawiki.org/wiki/Extension:Translate Translate extension] used to maintain translations.\nThis account is part of the MediaWiki software and it is not owned by any user.",

Change 408453 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Make User:FuzzyBot content available in all languages via system message

https://gerrit.wikimedia.org/r/408453

MarcoAurelio closed this task as Resolved.Feb 23 2018, 10:13 PM
MarcoAurelio moved this task from ready/patched/deploy to cabinet on the User-MarcoAurelio board.